View Issue Details

IDProjectCategoryView StatusLast Update
0015917MediaMonkey 5Tracklistpublic2020-10-08 20:49
Reporterrusty Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015917: Tracklist/view moves by itself (sometimes continuously) [on search/filter]
Description1 Initiate a global search for an entry that contains numerous entries (e.g. artist, albums, and many tracks)
2 Postion the search view (browser view) near the top
3 Initiate playback
4 Switch to a different skin
---> The tracklist moves to the bottom!

5 Initiate a global search for an entry that contains numerous entries (e.g. artist, albums, videos) and many tracks
6 Postion the search view so that the video nodes and the tracks display
7 Switch to a different skin
--> The tracklist moves continuously up and down!

Screencast: https://www.screencast.com/t/fgEGtP6fJwLE

I've noticed similar behavior in other circumstances as well. e.g. when auto-tagging:
- when playback of a song switches --> auto-tagging list sometimes refreshes
- when auto-tagging completes --> tracklist sometimes moves
TagsNo tags attached.
Fixed in build2229

Relationships

related to 0015911 closedLudek Advanced search: Undesired auto-scrolling after changing a criteria 
related to 0016292 closedLudek Track edit/playback triggers a View refresh when contextual search is active 
related to 0013437 closedpetr Browser view: position changes / scrolls by itself [on track edit] 
related to 0015938 closedpetr Auto-tag list refreshes by itself in some cases 
related to 0015986 closedLudek Playlists cannot be renamed to include a space 
related to 0016185 closedLudek Spacebar ignored when editing auto-playlist conditions 
related to 0016433 closedmichal Removing songs in the Playlist edit panel auto-scrolls up 
related to 0016988 resolvedpetr Tracklist moves and touch menus de-activate on track transition 

Activities

rusty

2019-08-29 02:31

administrator  

Ludek

2019-09-02 20:42

developer   ~0054505

Fixed in 2195

Ludek

2019-09-03 12:26

developer   ~0054507

Last edited: 2019-09-04 11:47

View 6 revisions

Re-opened: this does not seem to be fully fixed, I have just reproduced an instance of this issue

In my case tracklist auto-scrolls whenever spacebar is pressed (but the tracklist needs to be in the Scroller component -- e.g. playlist with header, search view, artist view with header etc.)

EDIT: Hmm, scrolling on spacebar appears to be normal behavior in web browsers (Google Chrome, Firefox)
So the question is whether we want the same in MM5 or whether we want to find a workaround to eliminate this behaviour?

=> eliminated the behaviour in 2195

rusty

2019-09-06 22:58

administrator   ~0054531

Last edited: 2019-09-06 22:59

View 2 revisions

There still seem to be some anomalies in 2195. e.g. with the first testcase
1 Initiate a global search for an entry that contains numerous entries (e.g. artist, albums, and many tracks)
2 Postion the search view (browser view) near the top
3 Initiate playback
4 Switch to a different skin
---> View switches from Search to a specific playlist!!
https://www.screencast.com/t/id9RbpHPi7w
debug log attached.

Note: this is similar to what I described at 0015918 (in which the view switched by itself)

rusty

2019-09-06 22:58

administrator  

Ludek

2019-09-10 09:56

developer   ~0054572

Fixed in 2196 (by the same fix as 0015928 - SVN revision 34236)

rusty

2019-09-13 02:19

administrator   ~0054616

Verified 2196.

rusty

2020-02-12 22:49

administrator   ~0056615

I'm seeing a variant of this in 2227:

Navigate to Music > Location > Path [List (Albums)] (note: folders grid enabled)
Scroll beyond the directories in the view and double-click a track in the list
--> Playback starts
On each track change, and on other random occasions during the track's playback, the view resets (back to the top of the view).

Ludek

2020-02-14 13:20

developer   ~0056687

Last edited: 2020-02-14 13:23

View 4 revisions

I cannot replicate, but please re-test in 2228 and if you are still observing it then please:

1) indicate whenther it is related to the particular folder/location ?
2) whether it is related to the number of items/containers in the list/grid?
3) video + MM5.DB + debug log might be helpful (but debug log with fullLVDebug enabled -- to enable it edit file /controls/listview.js and change the line
var fullLVDebug = false;
to
var fullLVDebug = true;

rusty

2020-02-18 02:22

administrator   ~0056707

Last edited: 2020-02-18 22:17

View 3 revisions

Tested 2228 and the issue occurs in any directory that contains tracks from multiple albums, when the user scrolls down to a track that isn't visible in the list.

https://www.screencast.com/t/L9bYob8t

lmk if you still want the DB.

EDIT: I just noticed that the problem can also occur even when not playing--e.g. if I scroll down through a bunch of directories in
Music > Location > Path > Directory containing tracks and directories [List (byalbum) | List (folders)]
--> the view periodically resets (scrolls back to the top)!
On one occasion when this occurred, I saw a message in the status bar about an image thumbnail--could it somehow be related to album art images being looked up in the background (I vaguely remember a bug like that in the past EDIT: it's 0013437) ?

rusty

2020-02-19 04:20

administrator   ~0056724

I've raised the priority to 'immediate' as this is an extremely annoying bug that makes testing of functionality involving views kind of difficult.

Ludek

2020-02-21 18:29

developer   ~0056800

Last edited: 2020-02-21 18:57

View 5 revisions

I can replicate consistently now, it is issue only with the "List (by Album)" view.

The trigger is to show a tooltip, these steps always triggers the issue:

1) start playback
2) Go to an (auto-)playlist
3) Switch to "List (by Album)"
4) Scroll to an item so that "Info panel" is hidden
5) Hover over the waveform bar to show tooltip (like "00:01:17")
=> once the tooltip is shown the tracklists moves (by itself) to the start ('Info panel' is shown) !!

EDIT: The issue does not happen for Music > All tracks [List (by Album)], technically: the GroupedTrackList component needs to be placed into Scroller component for this bug to occur

Ludek

2020-02-21 19:16

developer   ~0056801

Fixed in 2229

rusty

2020-03-06 16:27

administrator   ~0057084

Verified 2229.